(function() {
	'use strict';

	angular
		.module('barebone.buslist', [
			'ionic',
			'ngCordova',
			'barebone.common'
		])
		.config(function($stateProvider) {
			$stateProvider
				.state('app.buslist', {
					cache: false,
					url: '/buslist',
					views: {
						'menuContent': {
							templateUrl: 'scripts/bus/buslist.html',
							controller: 'BuslistController as vm',
							resolve: {
					                  busResult: ['busService','$rootScope', function (busService,$rootScope) {
					                        return busService.getBusroutes(1,$rootScope.searchResult);
					                    }]
					              }
						}
					}
				});
		});
})();