(function() {
	'use strict';

	angular
		.module('barebone.page')
		.controller('AboutController', AboutController);

	AboutController.$inject = [
		'$scope',
		'pageService',
		'AppDB',
		'$timeout',
		'$state',
		'$rootScope',
		'$sce',
		'motion'
	];

	/* @ngInject */
	function AboutController(
		$scope, pageService,AppDB, $timeout,$state,$rootScope,$sce,motion) {

		var vm = angular.extend(this, {
			title : $rootScope.appLang.about_us,
			page  :  ''
		});

		motion.expandHeader();
		// ******************************************************
		// var tempList = AppDB.get('app.about');
		// vm.page  = JSON.parse(tempList.data).result;

		pageService.getAbout()
			.then(function(data) {
				vm.page = $sce.trustAsHtml(zg2uni(data));
			});


	}
})();