(function() {
	'use strict';

	angular
		.module('barebone.bank')
		.controller('BankController', BankController);

	BankController.$inject = [
		'busService',
		'$timeout',
		'$state',
		'$rootScope',
		'motion'
	];

	/* @ngInject */
	function BankController(
		busService, $timeout,$state,$rootScope,motion) {
		
		var bank = $rootScope.bank;

		var vm = angular.extend(this, {
			bank		  : bank
		});

			motion.expandHeader();


	}
})();