(function() {
	'use strict';

	angular
		.module('barebone.ticketchanges', [
			'ionic',
			'ngCordova',
			'barebone.common'
		])
		.config(function($stateProvider) {
			$stateProvider
				.state('app.ticketchanges', {
					url: '/ticketchanges/:bookingId',
					views: {
						'menuContent': {
							templateUrl: 'scripts/ticketchanges/ticketchanges.html',
							controller: 'TicketchangesController as vm',
							resolve: {
					                  booking: ['$stateParams','$rootScope','ticketchangesService', function ($stateParams,$rootScope,ticketchangesService) {
					                        
					                        return ticketchangesService.getChangesbooking($stateParams.bookingId)
												  	.then(function(booking) {
												  		return booking;
												  	});
					                    }]
					              }
						}
					}
				});
		});
})();